import 'package:flutter/material.dart';

class AppText {
  static TextStyle display(BuildContext context) => Theme.of(context).textTheme.displaySmall!;
  static TextStyle title(BuildContext context) => Theme.of(context).textTheme.titleLarge!;
  static TextStyle headline(BuildContext context) => Theme.of(context).textTheme.headlineSmall!;
  static TextStyle body(BuildContext context) => Theme.of(context).textTheme.bodyLarge!;
  static TextStyle bodyMuted(BuildContext context) =>
      Theme.of(context).textTheme.bodyMedium!.copyWith(color: Theme.of(context).colorScheme.onSurfaceVariant);
  static TextStyle label(BuildContext context) => Theme.of(context).textTheme.labelLarge!;
}

